# AMDStencilOperationExtended (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class AMDStencilOperationExtended

    java.lang.Object
      org.lwjgl.opengl.AMDStencilOperationExtended

    public final class AMDStencilOperationExtended

extends java.lang.Object

Field Summary
`static int` `GL_REPLACE_VALUE_AMD` Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:
`static int` `GL_SET_AMD` Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:
`static int` `GL_STENCIL_BACK_OP_VALUE_AMD` Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:
`static int` `GL_STENCIL_OP_VALUE_AMD` Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:

Method Summary
`static void` `glStencilOpValueAMD(int face, int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SET_AMD

    public static final int GL_SET_AMD

  Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:

  See Also:
    Constant Field Values

### GL_REPLACE_VALUE_AMD

    public static final int GL_REPLACE_VALUE_AMD

  Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:

  See Also:
    Constant Field Values

### GL_STENCIL_OP_VALUE_AMD

    public static final int GL_STENCIL_OP_VALUE_AMD

  Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_OP_VALUE_AMD

    public static final int GL_STENCIL_BACK_OP_VALUE_AMD

  Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:

  See Also:
    Constant Field Values

Method Detail

### glStencilOpValueAMD

    public static void glStencilOpValueAMD(int face,
                                           int value)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.